<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.FddContractInfoMapper">

  <resultMap id="fddContractInfoMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.FddContractInfo">
    <id property="id" column="ID"/>
    <result property="contractId" column="CONTRACT_ID"/>
    <result property="fddPersonAccountSendId" column="FDD_PERSON_ACCOUNT_SEND_ID"/>
    <result property="fddPersonAccountReceiveId" column="FDD_PERSON_ACCOUNT_RECEIVE_ID"/>
    <result property="sendUnionid" column="SEND_UNIONID"/>
    <result property="receiveUnionid" column="RECEIVE_UNIONID"/>
    <result property="taskStatus" column="TASK_STATUS"/>
    <result property="sendSignStatus" column="SEND_SIGN_STATUS"/>
    <result property="taskId" column="TASK_ID"/>
    <result property="fileId" column="FILE_ID"/>
    <result property="draftId" column="DRAFT_ID"/>
    <result property="deleteFlag" column="DELETE_FLAG"/>
    <result property="signTaskId" column="SIGN_TASK_ID"/>
    <result property="receiveSignStatus" column="RECEIVE_SIGN_STATUS"/>
    <result property="signStatus" column="SIGN_STATUS"/>
    <result property="remark" column="REMARK"/>
    <result property="fddTemplateId" column="FDD_TEMPLATE_ID"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateTime" column="UPDATE_TIME"/>
    <result property="createName" column="CREATE_NAME"/>
  </resultMap>

	<update id="cancleSignTask">
		update fdd_contract_info set SIGN_STATUS=0,SIGN_TASK_ID=null where id=#{id}
	</update>
</mapper>
